#!/usr/bin/python

import dbus
import dbus.service
import dbus.mainloop.glib
import gobject
import slip.dbus.service
import os
import fcntl
class RunFix(slip.dbus.service.Object):
    def __init__ (self, *p, **k):
        super(RunFix, self).__init__(*p, **k)
        
    @slip.dbus.polkit.require_auth("org.fedoraproject.setroubleshootfixit.write")
    @dbus.service.method ("org.fedoraproject.SetroubleshootFixit", in_signature='s', out_signature='sb')
    def run_fix(self, local_id):
        import commands
        command = "sealert -f %s" % local_id
            
        rc, output = commands.getstatusoutput(command)
        if rc==0:
            return output, True
        return output, False

if __name__ == "__main__":
    mainloop = gobject.MainLoop ()
    dbus.mainloop.glib.DBusGMainLoop (set_as_default=True)
    system_bus = dbus.SystemBus ()
    name = dbus.service.BusName("org.fedoraproject.SetroubleshootFixit", system_bus)
    object = RunFix(system_bus, "/org/fedoraproject/SetroubleshootFixit/object")
    slip.dbus.service.set_mainloop (mainloop)
    mainloop.run ()
